Subject: Re: bug#16585: c-invalidate-state-cache fails if called when narrowed

From: Alan Mackenzie <[email-masked]>
Date: Sat, 8 Feb 2014 22:57:02 +0000

Hi, Daniel.

On Sat, Feb 08, 2014 at 10:37:17PM +0000, Alan Mackenzie wrote:

[ .... ]

> I don't think (but I'm not quite sure) that this patch is correct, since
> it leaves c-invalidate-state-cache-1 running widened.  That might well
> lead to incorrect "state cache" manipulations.  Instead I've widened the
> buffer around the two calls which clear and set the text properties.
> Would you please try out the following patch, which should fix the
> problem.

I just forgot to say, after applying the patch, please compile first
cc-defs.el, then cc-engine.el.

-- 
Alan Mackenzie (Nuremberg, Germany).